input TodoEtiquetteFavorisInput {
  id: ID
  ordre: Int
  idEtiquette: ID!
  idUser: ID!
  codeMaj: String
  isRemoved: Boolean
}

type Mutation {
  createUpdateTodoEtiquetteFavoris(input: TodoEtiquetteFavorisInput!): TodoEtiquetteFavoris!
  softDeleteTodoEtiquetteFavorises(ids: [ID!]!): [TodoEtiquetteFavoris!]!
}

type Query {
  todoEtiquetteFavoris(id: ID!): TodoEtiquetteFavoris
  todoEtiquetteFavorises(isRemoved: Boolean): [TodoEtiquetteFavoris!]!
}

type TodoEtiquetteFavoris implements Searchable {
  type: String!
  id: ID!
  ordre: Int
  etiquette: TodoEtiquette!
  user: User!
  codeMaj: String
  isRemoved: Boolean
  userCreation: User
  userModification: User
  dateCreation: DateTime!
  dateModification: DateTime!
}
